Bug 80302 - UI: Property mapping - no option to remove the property
Summary: UI: Property mapping - no option to remove the property
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-20 18:43 UTC by pierre-yves samyn
Modified: 2015-03-03 12:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
PropertyMapping.ods (33.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-06-20 18:43 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2014-06-20 18:43:02 UTC
Created attachment 101450 [details]
PropertyMapping.ods

Hi

Platform : windows 7/64 & Version: 4.3.0.1
Build ID: 67f5430184326974072b65403ef1d9d934fc4481

4.3 Added property mapping functionality (nice feature, thank you)
But AFAIK there is no option to remove the property...

Steps to reproduce

1. Open the PropertyMapping.ods attached
2. Double click the chart to edit
3. Right click> Data ranges
4. Data series tab, see Val3Vert - Rouge

Regards
Pierre-Yves
Comment 1 Jacques Guilleron 2014-06-20 19:05:50 UTC
Hello Pierre-Yves,

Confirm with LO 4.3.0.1
Build ID: 67f5430184326974072b65403ef1d9d934fc4481
Windows 7 Home Premium

regards,

Jacques
Comment 2 Markus Mohrhard 2014-06-22 01:25:20 UTC
It is a known problem. I'm going to remove the additional dialog and will always show the data sequences for the property mapping. That will fix it. However you can already get the same effect right now by having an empty range for the property mapping.
Comment 3 Markus Mohrhard 2014-06-22 02:23:06 UTC
Fixed in master.
Comment 4 pierre-yves samyn 2014-10-05 13:02:24 UTC
Hi 

(In reply to Markus Mohrhard from comment #3)
> I'm going to remove the additional dialog and will always show 
> the data sequences for the property mapping. That will fix it.
> Fixed in master.

I'm afraid not...

The Data Ranges dialog displays the Border & Fill color zones so you can delete but deletion is neither registered nor effective.

Reproduce on windows 7/64 & Version: 4.4.0.0.alpha0+
Build ID: f33002aa5de7e88960e7c21286a661c89fd478c7
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-04_03:30:14

Regards
Pierre-Yves
Comment 5 Markus Mohrhard 2014-10-05 13:04:17 UTC
Open a different bug report for it please. It is not the same problem as the original prkblem .